<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Phishing Campaigns|Creating a Phishing Attack">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to set up a web server to host web pages and malicious content. " /><title>Setting Up the Web Server</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/setting-up-web-server.html">Open topic with navigation</a>
        </p>
        <h3>Setting Up the Web Server</h3>
        <ol data-mc-continue="true">
            <li value="1">From the campaign configuration page, click the <b class="UISelection">Web Server</b> button. 
</li>
            <li value="2">When the <b class="UISelection">Web Server Configuration </b>window appears, choose one of the following options:
</li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b>This server’s IP address</b> - Uses the IP address of the local machine. 
</li>
            <li class="indentedList" value="2"><b>This server’s host name</b> - Uses the host name of the local machine.
</li>
            <li class="indentedList" value="3"><b>Custom</b> - Uses the domain name, if DNS is set up and is reachable by the Metasploit instance.
</li>
        </ul>
        <ol start="3">
            <li value="3">In the <b class="UISelection">Listening Port</b> field, enter the port that you want to use to run the web server. You should specify a port that is typically used for HTTP traffic, such as 80 or 8080. 
</li>
            <li value="4">Click <b class="UISelection">Save </b>to save the web server settings.</li>
        </ol>
    </body>
</html>